--- Makefile.in
+++ Makefile.in
@@ -43,7 +43,7 @@
 SDL_CFLAGS := @SDL_CFLAGS@
 SDL_LIBS := @SDL_LIBS@
 
-ldflags := $(SDL_LIBS) -lSDL_image -lSDL_mixer $(LDFLAGS)
+ldflags := $(LIBS) $(SDL_LIBS) $(LDFLAGS)
 cflags := -I. $(SDL_CFLAGS) $(paths) $(CFLAGS)
 
 my_objects := args.@OBJEXT@ dust.@OBJEXT@ file.@OBJEXT@ mt.@OBJEXT@ rocks.@OBJEXT@ score.@OBJEXT@ sprite.@OBJEXT@ sound.@OBJEXT@ autopilot.@OBJEXT@

--- configure.ac
+++ configure.ac
@@ -12,6 +12,11 @@
 AC_PROG_MAKE_SET
 
 # Checks for libraries.
+dnl Check for libm for sqrt()
+AC_SEARCH_LIBS([sqrt], [m], [], [
+	AC_MSG_ERROR([unable to find the sqrt() function])
+])
+
 AC_CHECK_LIB([SDL_image], [IMG_LoadPNG_RW])
 AC_CHECK_LIB([SDL_mixer], [Mix_OpenAudio])
 
